=== debian/changelog ===
wireless-crda (1.7) jaunty; urgency=low

  * Update wireless-regdb to master-2009-03-09
  * enable passive scanning for world regdomain on other channels

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 10 Mar 2009 16:49:38 -0600

wireless-crda (1.6) jaunty; urgency=low

  * wireless-regdb: Update to Jan 30, 2009 regdb.
  * crda: Add /usr/local/lib/crda/regulatory.bin as first in path

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 02 Mar 2009 09:27:02 -0700

wireless-crda (1.5) jaunty; urgency=low

  * Added udev as an install dependency.

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 12 Feb 2009 16:13:32 +0000

wireless-crda (1.4) jaunty; urgency=low

  * Update to CRDA tip, misc spelling fixes.

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 04 Feb 2009 01:09:52 -0700

wireless-crda (1.3) jaunty; urgency=low

  * Fix package build problems.

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 26 Jan 2009 20:08:16 -0700

wireless-crda (1.2) jaunty; urgency=low

  * Updated to crda v1.0.1

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 26 Jan 2009 14:11:12 -0700

wireless-crda (1.1) jaunty; urgency=low

  * Set 'Architecture: any' in debian/control
  * Added README.ubuntu

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 15 Jan 2009 15:54:51 +0000

wireless-crda (1.0) jaunty; urgency=low

  * Initial packaging

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 16 Jun 2008 18:39:46 -0400
