## wireless-crda 1.12

=== debian/changelog ===
wireless-crda (1.12) lucid; urgency=low

  * CRDA update - Allows runtime loading of RSA public keys
    from /etc/wireless-regdb/pubkeys

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 23 Feb 2010 15:46:55 +0000

wireless-crda (1.11) lucid; urgency=low

  * Updated wireless-regdb to master-2009-11-25

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 30 Nov 2009 13:18:49 -0700
