=== debian/control ===
Source: wireless-crda
Section: admin
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.2.1
Build-Depends: debhelper (>= 7.0.0)
Vcs-Git: git://kernel.ubuntu.com/ubuntu/wireless-crda.git

Package: wireless-crda
Architecture: any
Depends: crda (>= 1.1.1-1ubuntu2)
Description: Wireless Central Regulatory Domain Agent
 This package depends on the CRDA agent for wireless drivers to
 determine the regulatory domain channel and power settings.
